function gplusbadge_loadBadge() {
	gplusbadge_fixVisual();
	var params='';
	if (typeof gplusbadge_userid == 'undefined') {
		return;
	}
	else {
		params += "uid="+gplusbadge_userid;
	}
	if (typeof gplusbadge_basedir == 'undefined') {
		return;
	}
	if (typeof gplusbadge_ispage != 'undefined') {
		params += "&isp="+gplusbadge_ispage;
	}
	if (typeof gplusbadge_width != 'undefined') {
		params += "&width="+gplusbadge_width;
	}
	if (typeof gplusbadge_follow_text != 'undefined') {
		params += "&followtext="+encodeURIComponent(gplusbadge_follow_text);
	}
	if (typeof gplusbadge_header_textcolor != 'undefined') {
		params += "&headertxtcol="+encodeURIComponent(gplusbadge_header_textcolor);
	}
	if (typeof gplusbadge_buttonstyle != 'undefined') {
		params += "&buttstyle="+gplusbadge_buttonstyle+"&rnd="+rnd;
	}
	if (typeof gplusbadge_showheader != 'undefined') {
		params += "&showheader="+gplusbadge_showheader;
	}
	if (typeof gplusbadge_header_background != 'undefined') {
		params += "&headerbg="+gplusbadge_header_background;
	}
	if (typeof gplusbadge_header_textcolor != 'undefined') {
		params += "&textcol="+gplusbadge_header_textcolor;
	}
	if (typeof gplusbadge_background != 'undefined') {
		params += "&bg="+gplusbadge_background;
	}
	if (typeof gplusbadge_textcolor != 'undefined') {
		params += "&textcol="+gplusbadge_textcolor;
	}
	if (typeof gplusbadge_namecolor != 'undefined') {
		params += "&namecol="+gplusbadge_namecolor;
	}
	if (typeof gplusbadge_bordercolor != 'undefined') {
		params += "&bcol="+gplusbadge_bordercolor;
	}
	if (typeof gplusbadge_separator_color != 'undefined') {
		params += "&sepcol="+gplusbadge_separator_color;
	}
	if (typeof gplusbadge_borderwidth != 'undefined') {
		params += "&bwidth="+gplusbadge_borderwidth;
	} else {
	}
	if (typeof gplusbadge_footer_background != 'undefined') {
		params += "&footerbg="+gplusbadge_footer_background;
	}
	if (typeof gplusbadge_showfollowers != 'undefined') {
		params += "&sf="+gplusbadge_showfollowers;
	}
	if((typeof gplusbadge_showplusone != 'undefined') && (typeof gplusbadge_plusurl != 'undefined')) {
		if(gplusbadge_showplusone == 'true') {
			params += "&sp="+gplusbadge_showplusone+"&purl="+gplusbadge_plusurl;
		}
	}
	if (typeof gplusbadge_plusonestyle != 'undefined') {
		params += "&pstyle="+gplusbadge_plusonestyle;
	}
	var cssId = 'gplusbadgecss';
	if (!document.getElementById(cssId)) {
	    var head  = document.getElementsByTagName('head')[0];
	    var link  = document.createElement('link');
	    link.id   = cssId;
	    link.rel  = 'stylesheet';
	    link.type = 'text/css';
	    link.href = gplusbadge_basedir+'/gplus-badge/gplusbadge.css';
	    link.media = 'all';
	    head.appendChild(link);
	}
	var rnd=new Date().getTime();
	var url=gplusbadge_basedir+"/gplus-badge/gplusbadgedetails.php?"+params;

	var x=window.XMLHttpRequest?new XMLHttpRequest():new ActiveXObject('Microsoft.XMLHTTP');
	x.onreadystatechange=function(){
		if(x.readyState==4&&x.status==200){
			gplusbadge_createBadge(x.responseText);
		}
	};
	x.open('GET',url,1); x.send(null);
}
function gplusbadge_createBadge(resp) {
	document.getElementById('gplusbadge__0').innerHTML=resp;
	var add_gplusjs=false;
	if((typeof gplusbadge_showplusone != 'undefined') && (typeof gplusbadge_plusurl != 'undefined')) {
		if(gplusbadge_showplusone == 'true') {
			add_gplusjs=true;
		}
	}
	if(typeof gplusbadge_ispage != 'undefined') {
		if(gplusbadge_ispage == 'true') {
			add_gplusjs=true;
		}
	}
	if(add_gplusjs == true) {
		var pl = document.createElement("link");
		pl.rel="publisher";
		pl.href="https://plus.google.com/"+gplusbadge_userid;
		document.getElementsByTagName("head")[0].appendChild(pl);
		window.___gcfg = {lang: 'en'};
		(function() 
		{var po = document.createElement("script");
		po.type = "text/javascript"; po.async = true;po.src = "https://apis.google.com/js/plusone.js";
		var s = document.getElementsByTagName("script")[0];
		s.parentNode.insertBefore(po, s);
		})();
	}
}
function gplusbadge_fixVisual() {
	var tmp_borderwidth='';
	var tmp_bordercolor='';
	if (typeof gplusbadge_borderwidth == 'undefined') {
		tmp_borderwidth=1;
	} else {tmp_borderwidth=gplusbadge_borderwidth;}
	if (typeof gplusbadge_bordercolor == 'undefined') {
		tmp_bordercolor='AAAAAA';
	} else {tmp_bordercolor=gplusbadge_bordercolor;}
	document.getElementById('gplusbadge__0').innerHTML='<div style="border:'+tmp_borderwidth+'px solid #'+tmp_bordercolor+';margin:0;padding:0;clear:both;"><div style="text-align:center;margin:0;padding:0;border:0;"><img src="'+gplusbadge_basedir+'/gplus-badge/loading.gif" style="margin:5px 0;padding:0;border:0;"/></div><div style="background-color:#EEE;color:#BBB;text-align:right;font-family: tahoma,verdana,arial,sans-serif;font-size:10px;height:20px;line-height:20px;margin:0;padding:0;border:0;"><p style="margin:0;padding:0;border:0;"><a href="http://www.gplusbadge.skipser.com" style="color:#BBB;text-decoration:none;margin:0;padding:0;border:0;text-shadow:none;font-size:10px;">Google+ Badge</a> by <a style="color:#BBB;text-decoration:none;margin:0;padding:0;border:0;text-shadow:none;font-size:10px;" href="http://www.skipser.com">Skipser</a></p></div></div>';
}
gplusbadge_loadBadge();

