<?php 
/*
Plugin Name: GplusBadge
Plugin URI: http://www.gplusbadge.skipser.com
Description: Adds google+ contact badge widget to your blog
Version: 1.3.0
Author: Arun
Author URI: http://www.skipser.com
License: GPL3
*/

/*  
* 	Copyright (C) 2011  Skipser
*	http://skipser.com
*	http://www.gplusbadge.skipser.com
*
*	This program is free software: you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation, either version 3 of the License, or
*	(at your option) any later version.
*
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/********************************************************************/
/*                                                                  */
/*                         Global variables                         */
/*                                                                  */
/********************************************************************/

$USERID = '';
$WIDTH = '180';
$NAMECOL = '3B5998';
$TEXTCOL = '333333';
$BORDERWIDTH = '1';
$SEPCOLOR = 'DDDDDD';
$BUTTSTYLE = 'normal';
$SHOWHEADER = 'false';
$SHOWFOLLOWERS='true';

/********************************************************************/
/*                                                                  */
/*            Do not change anything below this.                    */
/*                                                                  */
/********************************************************************/

define( 'GPLUSBADGE_PLUGIN_NAME', 'gplusBadge');
define( 'GPLUSBADGE_PLUGIN_DIRECTORY', 'gplusbadge');
define( 'GPLUSBADGE_CURRENT_VERSION', '2.0.0' );
define( 'GPLUSBADGE_DEBUG', false);

function gplusBadge($plusid, $ispage, $plusbutt, $plusurl, $plusonestyle, $width,$bg, $bcol, $hbg, $header, $htxtcol, $htxt, $followers=1, $credit=1, $button="normal") {
	global $USERID, $WIDTH, $NAMECOL, $TEXTCOL, $BORDERWIDTH, $BUTTSTYLE, $SHOWHEADER, $SHOWFOLLOWERS, $SEPCOLOR;

	$USERID = $plusid;
	if($width != '') { $WIDTH='width:'.$width.'px;'; } else {$WIDTH=''; }
	if(isset($header) && $header > 0) {
		$SHOWHEADER='true';
	}
	if(isset($plusbutt) && $plusbutt > 0) {
		$SHOWPLUSONE='true';
	}
	$PLUSURL=$plusurl;
	if(isset($followers) && ($followers <= 0)) {
		$SHOWFOLLOWERS='false';
	}
	$SHOWCREDIT='false';
	if (isset($credit) && $credit > 0)  {
		$SHOWCREDIT='true';
	}
	$ISPAGE='false';
	if (isset($ispage) && $ispage > 0)  {
		$ISPAGE='true';
	}
	$PLUSONESTYLE=$plusonestyle;
	$BUTTSTYLE=$button;
	if(isset($bg) && $bg != '') { $BACKGROUND = $bg; } else {$BACKGROUND = 'FFFFFF'; }
	if(isset($hbg) && $hbg != '') { $HEADERBG = $hbg; } else {$HEADERBG = '2D2D2D'; }
	if(isset($htxtcol) && $htxtcol != '') { $HEADER_TXTCOL = $htxtcol; } else {$HEADER_TXTCOL = 'FFFFFF'; }
	if(isset($htxt) && $htxt != '') { $FOLLOWTEXT = $htxt; } else {$FOLLOWTEXT = 'Follow me on Google+'; }
	$BORDERCOLOR = $bcol;
	$IMGSIZE = 55;
	$CONTENT_MARGIN=60;
	$BUTTCLASS="normal";
	$HEADERCLASS = '';
	$ONGPLUS='';
	$IMGS='';
	$FOLLOWERSCLASS='';
	if($SHOWHEADER == 'false') {
		$HEADERCLASS = 'hide';
		$ONGPLUS = ' on <span style="color:#0047f1;">G</span><span style="color:#de0c32;">o</span><span style="color:#bc8000;">o</span><span style="color:#0047f1;">g</span><span style="color:#00b018;">l</span><span style="color:#dd172c;">e</span>+';
	}

	if ($BUTTSTYLE == "normal") {$BUTTCLASS="normalbutt"; } elseif ($BUTTSTYLE == "red") {$BUTTCLASS="redbutt"; } else {$BUTTCLASS="bluebutt";}

	// include loader class
	include_once('gplusbadgehelper.php');

	//Check if we have a google+ id
	if($USERID == '') { ?>
	
<div id="gplusbadgewrapper2" style="text-align:left;text-shadow:none;margin:0;padding:0;border:0;clear:both;">
<div id="gplusbadgewrapper1" style="text-align:left;text-shadow:none;margin:0;padding:0;border:0;clear:both;">
<div id="gplusbadgewrapper" style="border:<?php echo $BORDERWIDTH ?>px solid #<?php echo $BORDERCOLOR ?>; <?php echo $WIDTH ?> overflow:hidden; background-color:#<?php echo $BACKGROUND ?>; text-align:left;text-shadow:none;margin:0;padding:0;font-family:'lucida grande',tahoma,verdana,arial,sans-serif;font-size:11px;font-weight:normal;color:#333333;clear:both;">
	<div id="gplusbadge_header" style="background-color:#<?php echo $HEADERBG ?>;" >
		<span style="padding-left:5px;float:left;color:#<?php echo $HEADER_TXTCOL ?>;"><?php echo rawurldecode($FOLLOWTEXT) ?></span><img src="https://ssl.gstatic.com/images/icons/gplus-16.png" alt="" style="border:0;width:16px;height:16px;float:right;margin:6px 5px 0 0;" />
	</div>
	<div id="gplusbadge" >
		<div style="margin:8px;">
		Please give a valid Google+ id.
		</div>
	</div>
	<div style="padding:0 8px; height:20px;">
		<div style="border-top:1px solid #<?php echo $SEPCOLOR ?>;">
			<div id="gplusbadgeCredit">
				<p><a href="http://www.gplusbadge.skipser.com" style="text-decoration:none;"><strong>Gplus Badge</strong></a> by <a href="http://www.skipser.com" style="text-decoration:none;"><strong>Skipser</strong></a></p>
			</div>
		</div>
	</div>
</div>
</div>
</div>
		
<?php
		if($SHOWCREDIT=='false') {
			echo '<script type="text/javascript">var credit=document.getElementById("gplusbadgeCredit");if(credit){credit.style.display="none";}var foll=document.getElementById("gplusbadgeFollowerCount");if(foll){foll.style.display="block";}</script>';
		}
		return;
	}

	// initiate an instance of our loader class
	$plus = new googleBadge($USERID);

	// if we can use file caching
	if (gc_caching()) {
		$plus->cache_data = 1;
		$plus->cache_file = WP_CONTENT_DIR . "/cache/gplusbadges.txt";
		$plus->regexp_file = WP_CONTENT_DIR . "/cache/regexp.txt";

		// do the scrape
		$data = $plus->googleBadge();
		if($SHOWFOLLOWERS == 'true') {
			for($i=1; $i<=7; $i++) {
				$j='fol'.$i;
				$IMGS .= '<img src="'.$data[$j].'" class="followerimg" />';
			}
		}
		else {
			$FOLLOWERSCLASS='hide';
		}
		if($SHOWCREDIT=='false') {
			$plus->fullbadgetmpl = preg_replace('/<div class="gplusbadgeCreditq"/s', '<div class="gplusbadgeCreditq" style="display:none;"', $plus->fullbadgetmpl);
		}
		if($ISPAGE == 'true'){
			$plus->fullbadgetmpl = preg_replace('/<div id="gplusbadge_pageadd"style="display:none;/', '<div id="gplusbadge_pageadd"style="', $plus->fullbadgetmpl);
			$BUTTCLASS='hide';
			echo '<script type="text/javascript">var pl = document.createElement("link");pl.rel="publisher";pl.href="https://plus.google.com/'.$USERID.'";document.getElementsByTagName("head")[0].appendChild(pl);</script>';
		}
		if(($SHOWPLUSONE == 'true') &&($PLUSURL != '')) {
			$plus->fullbadgetmpl = preg_replace('/<div id="gplusbadge_plusone" style="display:none;/', '<div id="gplusbadge_plusone" style="', $plus->fullbadgetmpl);
		}
		$plus->fullbadgetmpl = preg_replace('/#USERID#/', $USERID, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#DATA_NAME#/', $data['name'], $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#DATA_IMG#/', $data['img'], $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#DATA_COUNT#/', $data['count'], $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#IMGSIZE#/', $IMGSIZE, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#WIDTH#/', $WIDTH, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#FOLLOWTEXT#/', $FOLLOWTEXT, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#HEADERBG#/', $HEADERBG, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#HEADERCLASS#/', $HEADERCLASS, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#ONGPLUS#/', $ONGPLUS, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#BACKGROUND#/', $BACKGROUND, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#HEADER_TXTCOL#/', $HEADER_TXTCOL, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#BORDERWIDTH#/', $BORDERWIDTH, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#BORDERCOLOR#/', $BORDERCOLOR, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#SEPCOLOR#/', $SEPCOLOR, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#CONTENT_MARGIN#/', $CONTENT_MARGIN, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#BUTTCLASS#/', $BUTTCLASS, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#TEXTCOL#/', $TEXTCOL, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#NAMECOL#/', $NAMECOL, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#IMGS#/', $IMGS, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#FOLLOWERSCLASS#/', $FOLLOWERSCLASS, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#PLUSURL#/', $PLUSURL, $plus->fullbadgetmpl);
		$plus->fullbadgetmpl = preg_replace('/#ANNOT#/', $PLUSONESTYLE, $plus->fullbadgetmpl);
		//if($SHOWCREDIT=='true') {
			$plus->fullbadgetmpl = preg_replace('/<div id="gplusbadgeFollowerCount"/', '<div id="gplusbadgeFollowerCount" style="display:none;"', $plus->fullbadgetmpl);
		//}
		$plus->fullbadgetmpl = preg_replace('/<div id="gplusbadgeCredit" style="display:none;">/', '<div id="gplusbadgeCredit">', $plus->fullbadgetmpl);
		echo $plus->fullbadgetmpl;
		if($SHOWCREDIT=='false') {
			echo '<script type="text/javascript">var credit=document.getElementById("gplusbadgeCredit");if(credit){credit.style.display="none";}var foll=document.getElementById("gplusbadgeFollowerCount");if(foll){foll.style.display="block";}</script>';
		}
		if((($SHOWPLUSONE == 'true') && ($PLUSURL != '')) || ($ISPAGE == 'true')) {
			echo "<script type='text/javascript'>window.___gcfg = {lang: 'en'};(function() {var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;po.src = 'https://apis.google.com/js/plusone.js';var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);})();</script>";
		}

	} else { ?>

<div id="gplusbadgewrapper2" style="text-align:left;text-shadow:none;margin:0;padding:0;border:0;clear:both;">
<div id="gplusbadgewrapper1" style="text-align:left;text-shadow:none;margin:0;padding:0;border:0;clear:both;">
<div id="gplusbadgewrapper" style="border:<?php echo $BORDERWIDTH ?>px solid #<?php echo $BORDERCOLOR ?>; <?php echo $WIDTH ?> overflow:hidden; background-color:#<?php echo $BACKGROUND ?>; text-align:left;text-shadow:none;margin:0;padding:0;font-family:'lucida grande',tahoma,verdana,arial,sans-serif;font-size:11px;font-weight:normal;color:#333333;clear:both;">
	<div id="gplusbadge_header" style="background-color:#<?php echo $HEADERBG ?>;" >
		<span style="padding-left:5px;float:left;color:#<?php echo $HEADER_TXTCOL ?>;"><?php echo rawurldecode($FOLLOWTEXT) ?></span><img src="https://ssl.gstatic.com/images/icons/gplus-16.png" alt="" style="border:0;width:16px;height:16px;float:right;margin:6px 5px 0 0;" />
	</div>
	<div id="gplusbadge" >
		<div style="margin:8px;">
		Caching failed. Please contact plugin owner.
		</div>
	</div>
	<div style="padding:0 8px; height:20px;">
		<div style="border-top:1px solid #<?php echo $SEPCOLOR ?>;">
			<div id="gplusbadgeCredit" style="display:block;">
				<p><a href="http://www.gplusbadge.skipser.com" style="text-decoration:none;"><strong>Gplus Badge</strong></a> by <a href="http://www.skipser.com" style="text-decoration:none;"><strong>Skipser</strong></a></p>
			</div>
		</div>
	</div>
</div>
</div>
</div>

<?php
	}
}


class GplusBadgeWidget extends WP_Widget {
	/** constructor */
	function GplusBadgeWidget() {
		parent::WP_Widget(false, $name = 'GplusBadge');
		$css = plugins_url().'/gplus-badge/gplusbadge.css';
		wp_enqueue_style('gplusBadge', $css);
		$js = plugins_url().'/gplus-badge/gplusbadge_wp.js';
		wp_enqueue_script('gplusBadge', $js);
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['htxt']);
		?>
			<?php echo $before_widget; ?>
				<?php if ( $title && ($instance['header'] == 0) ) echo $before_title . $title . $after_title; ?>
				<?php gplusBadge($instance['plusid'], $instance['ispage'], $instance['plusbutton'], $instance['plusurl'], $instance['plusonestyle'], $instance['width'], $instance['bg'], $instance['bcol'], $instance['hbg'], $instance['header'], $instance['htxtcol'], $instance['htxt'], $instance['followers'], $instance['credit'], $instance['button']); ?>
			<?php echo $after_widget; ?>
		<?php
	}

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['plusid'] = strip_tags($new_instance['plusid']);
		$instance['ispage'] = ( isset( $new_instance['ispage'] ) ? 1 : 0 );
		$instance['width'] = strip_tags($new_instance['width']);
		$instance['bg'] = strip_tags($new_instance['bg']);
		$instance['bcol'] = strip_tags($new_instance['bcol']);
		$instance['hbg'] = strip_tags($new_instance['hbg']);
		$instance['header'] = ( isset( $new_instance['header'] ) ? 1 : 0 );
		$instance['htxtcol'] = strip_tags($new_instance['htxtcol']);
		$instance['htxt'] = strip_tags($new_instance['htxt']);
		$instance['followers'] = ( isset( $new_instance['followers'] ) ? 1 : 0 );
		$instance['credit'] = ( isset( $new_instance['credit'] ) ? 1 : 0 );
		$instance['button'] = strip_tags($new_instance['button']);
		$instance['plusbutton'] = ( isset( $new_instance['plusbutton'] ) ? 1 : 0 );
		$instance['plusurl'] = strip_tags($new_instance['plusurl']);
		$instance['plusonestyle'] = strip_tags($new_instance['plusonestyle']);
		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance) {

		$plusid=''; $width=''; $header=false; $followers=true; $bg='FFFFFF'; $bcol = 'CCCCCC'; $hbg = '2D2D2D'; $htxtcol='FFFFFF'; $htxt='Follow me on Google+'; $plusurl=''; $plusbutton=false; $ispage=false;

		if ($instance) {
			$plusid = esc_attr($instance['plusid']);
			$ispage = isset($instance['ispage']) ? $instance['ispage'] : false;
			$width = esc_attr($instance['width']);
			$bg = esc_attr($instance['bg']);
			$bcol = esc_attr($instance['bcol']);
			$hbg = esc_attr($instance['hbg']);
			$header = isset($instance['header']) ? $instance['header'] : false;
			$htxtcol = esc_attr($instance['htxtcol']);
			$htxt = esc_attr($instance['htxt']);
			$followers = isset($instance['followers']) ? $instance['followers'] : true;
			$credit = isset($instance['credit']) ? $instance['credit'] : true;
			$button = esc_attr($instance['button']);
			$plusbutton = isset($instance['plusbutton']) ? $instance['plusbutton'] : true;
			$plusurl = esc_attr($instance['plusurl']);
			$plusonestyle = esc_attr($instance['plusonestyle']);
		} else {
			$defaults = array('plusid' => '', 'ispage' => 'false', 'plusbutton' => 'false', 'plusurl' => '', 'plusonestyle' => 'inline', 'width' => '100', 'bg' => 'FFFFFF', 'bcol' => 'CCCCCC', 'hbg' => '2D2D2D', 'header' => 'false', 'htxtcol' => 'FFFFFF', 'htxt' => 'Follow me on Google+', 'followers' => 'true', 'credit' => 'true', 'button' => 'normal');
			$instance = wp_parse_args( (array) $instance, $defaults );
		}
		?>
		<p>
			<label for="<?php echo $this->get_field_id('plusid'); ?>"><?php _e('Google Plus ID:'); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id('plusid'); ?>" name="<?php echo $this->get_field_name('plusid'); ?>" type="text" value="<?php echo $plusid; ?>" />
		</p>
		<p>
			<input class="checkbox" type="checkbox" <?php checked( (bool) $ispage, true ); ?> id="<?php echo $this->get_field_id( 'ispage' ); ?>" name="<?php echo $this->get_field_name( 'ispage' ); ?>" />
			<label for="<?php echo $this->get_field_id('ispage'); ?>"><?php _e('This is a Google+ page id:'); ?><abbr style="border-bottom: 1px dotted black; color:red; font-weight:bold;" title="If you set this for a non-page Google+ id, the 'Add to Circles' button will not show up!!!!">???</abbr></label> 
		</p>
		<p><span style="background-color:#CCCCCC; width:200px;"><h3>........+1 Button Settings ........</h3></span></p>
		<p>
			<?php (isset($instance['plusbutton']) && $instance['plusbutton'] == true) ? $color = 'green' : $color = 'red'; ?>
			<input class="checkbox" type="checkbox" <?php checked( (bool) $plusbutton, true ); ?> id="<?php echo $this->get_field_id( 'plusbutton' ); ?>" name="<?php echo $this->get_field_name( 'plusbutton' ); ?>" />
			<label for="<?php echo $this->get_field_id( 'plusbutton' ); ?>"><?php _e('Show +1 button '); ?></label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('plusurl'); ?>"><?php _e('URL for +1 button: '); ?><abbr style="border-bottom: 1px dotted black; color:<?php echo $color;?>; font-weight:bold;" title="+1 button will not show without a URL. Url should include http://">?</abbr></label>
			<input class="widefat" id="<?php echo $this->get_field_id('plusurl'); ?>" name="<?php echo $this->get_field_name('plusurl'); ?>" type="text" value="<?php echo $plusurl; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('plusonestyle'); ?>"><?php _e('+1 Button Style:'); ?></label> 
			<select class="select" id="<?php echo $this->get_field_id( 'plusonestyle' ); ?>" name="<?php echo $this->get_field_name( 'plusonestyle' ); ?>" >
				<option <?php if($instance['plusonestyle'] == 'inline') { echo 'selected="selected"'; } ?>>inline</option>
				<option <?php if($instance['plusonestyle'] == 'bubble') { echo 'selected="selected"'; } ?>>bubble</option>
			</select>
		</p>
		<p><span style="background-color:#CCCCCC; width:200px;"><h3>...........Title Settings ...........</h3></span></p>
		<p>
			<label for="<?php echo $this->get_field_id('htxt'); ?>"><?php _e('Title:'); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id('htxt'); ?>" name="<?php echo $this->get_field_name('htxt'); ?>" type="text" value="<?php echo $htxt; ?>" />
		</p>
		<p>
			<?php (isset($instance['header']) && $instance['header'] == true) ? $color = 'green' : $color = 'red'; ?>
			<input class="checkbox" type="checkbox" <?php checked($header, true ); ?> id="<?php echo $this->get_field_id( 'header' ); ?>" name="<?php echo $this->get_field_name( 'header' ); ?>" />
			<label for="<?php echo $this->get_field_id( 'header' ); ?>"><?php _e('Show Custom Title'); ?><abbr style="border-bottom: 1px dotted black; color:<?php echo $color;?>; font-weight:bold;" title="Whether to show a custom title bar or not. If this is not checked, the title will be displayed as per the theme defaults.">?</abbr></label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('hbg'); ?>"><?php _e('Custom Title Background Color:'); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id('hbg'); ?>" name="<?php echo $this->get_field_name('hbg'); ?>" type="text" value="<?php echo $hbg; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('htxtcol'); ?>"><?php _e('Custom Title Text Color:'); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id('htxtcol'); ?>" name="<?php echo $this->get_field_name('htxtcol'); ?>" type="text" value="<?php echo $htxtcol; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('width'); ?>"><?php _e('Badge Width<strong> (Not mandatory)</strong>: '); ?><abbr style="border-bottom: 1px dotted black; color:<?php echo $color;?>; font-weight:bold;" title="Gplus badge will use the full width automatically. Use this only if you want a narrower badge for some reason.">?</abbr></label>
			<input class="widefat" id="<?php echo $this->get_field_id('width'); ?>" name="<?php echo $this->get_field_name('width'); ?>" type="text" value="<?php echo $width; ?>" />
		</p>
		<p><span style="background-color:#CCCCCC; width:200px;"><h3>...........Other Settings ...........</h3></span></p>
		<p>
			<label for="<?php echo $this->get_field_id('bg'); ?>"><?php _e('Background Color:'); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id('bg'); ?>" name="<?php echo $this->get_field_name('bg'); ?>" type="text" value="<?php echo $bg; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('bcol'); ?>"><?php _e('Border Color:'); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id('bcol'); ?>" name="<?php echo $this->get_field_name('bcol'); ?>" type="text" value="<?php echo $bcol; ?>" />
		</p>
		<p>
			<?php (isset($instance['followers']) && $instance['followers'] == true) ? $color = 'green' : $color = 'red'; ?>

			<input class="checkbox" type="checkbox" <?php checked( $followers, true ); ?> id="<?php echo $this->get_field_id( 'followers' ); ?>" name="<?php echo $this->get_field_name( 'followers' ); ?>" />
			<label for="<?php echo $this->get_field_id( 'followers' ); ?>"><?php _e('Show Follower images '); ?><abbr style="border-bottom: 1px dotted black; color:<?php echo $color;?>; font-weight:bold;" title="Whether to show the follower images or not.">?</abbr></label>
		</p>
		<p>
			<?php (isset($instance['credit']) && $instance['credit'] == true) ? $color = 'green' : $color = 'red'; ?>

			<input class="checkbox" type="checkbox" <?php checked( (bool) $instance['credit'], true ); ?> id="<?php echo $this->get_field_id( 'credit' ); ?>" name="<?php echo $this->get_field_name( 'credit' ); ?>" />
			<label for="<?php echo $this->get_field_id( 'credit' ); ?>"><?php _e('Show developer credit '); ?><abbr style="border-bottom: 1px dotted black; color:<?php echo $color;?>; font-weight:bold;" title="Whether to show the 'Gplus badge by skipser' message when a user clicks on '?'. We really appreciate you leaving this enabled as it is the best way for other people to find out about this plugin (which we've worked very hard on!) and we promise to love you forever if you do. The message is inobtrusive, your circles are always shown.">?</abbr></label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('button'); ?>"><?php _e('Add to Circles Button Style:'); ?></label> 
			<select class="select" id="<?php echo $this->get_field_id( 'button' ); ?>" name="<?php echo $this->get_field_name( 'button' ); ?>" >
				<option <?php if($instance['button'] == 'normal') { echo 'selected="selected"'; } ?>>normal</option>
				<option <?php if($instance['button'] == 'red') { echo 'selected="selected"'; } ?>>red</option>
				<option <?php if($instance['button'] == 'blue') { echo 'selected="selected"'; } ?>>blue</option>
			</select>
		</p>
		<?php 
	}

} 

// register GplusBadge widget
add_action('widgets_init', create_function('', 'return register_widget("GplusBadgeWidget");'));


function gc_caching() {
	if (!is_dir(WP_CONTENT_DIR . "/cache")) {
		mkdir (WP_CONTENT_DIR . "/cache", 0777, true);
	}
	if (is_dir(WP_CONTENT_DIR . "/cache") && is_writable(WP_CONTENT_DIR . "/cache")) {
		$cache = WP_CONTENT_DIR . "/cache/gplusbadges.txt";
		return true;
	}
	else {
		return false;
	}
}
?>
